Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class SubTableTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.SubTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SubTableTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`SubTableTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
`void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
`void` | `setFilterMethod(javax.el.MethodExpression __filterMethod)` This attribute is defined with method binding.
`void` | `setFilterValue(javax.el.ValueExpression __filterValue)` Defines current filtering value Setter for filterValue
`void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
`void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
`void` | `setOnRowClick(javax.el.ValueExpression __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
`void` | `setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
`void` | `setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
`void` | `setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)` HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove
`void` | `setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)` HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut
`void` | `setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)` HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver
`void` | `setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
`void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
`void` | `setRowKeyVar(javax.el.ValueExpression __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
`void` | `setRows(javax.el.ValueExpression __rows)` A number of rows to display, or zero for all remaining rows in the table Setter for rows
`void` | `setSelfSorted(javax.el.ValueExpression __selfSorted)` Manages if the header of the column is clickable, icons rendered and sorting is fired after click on the header.
`void` | `setSortExpression(javax.el.ValueExpression __sortExpression)` DEPRECATED(use sortBy)Attribute defines a bean property which is used for sorting of a column Setter for sortExpression
`void` | `setSortMode(javax.el.ValueExpression __sortMode)` Defines mode of sorting.
`void` | `setSortOrder(javax.el.ValueExpression __sortOrder)` SortOrder is an enumeration of the possible sort orderings.
`void` | `setSortPriority(javax.el.ValueExpression __sortPriority)` Defines a set of column ids in the order the columns could be set Setter for sortPriority
`void` | `setStateVar(javax.el.ValueExpression __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
`void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
`void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### SubTableTag

    public SubTableTag()

Method Detail

### setAjaxKeys

    public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

  This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys

  Parameters:
    `ajaxKeys` - - new value

### setColumnClasses

    public void setColumnClasses(javax.el.ValueExpression __columnClasses)

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### setComponentState

    public void setComponentState(javax.el.ValueExpression __componentState)

  It defines EL-binding for a component state for saving or redefinition Setter for componentState

  Parameters:
    `componentState` - - new value

### setFilterMethod

    public void setFilterMethod(javax.el.MethodExpression __filterMethod)

  This attribute is defined with method binding. This method accepts on Object parameter and return boolean value Setter for filterMethod

  Parameters:
    `filterMethod` - - new value

### setFilterValue

    public void setFilterValue(javax.el.ValueExpression __filterValue)

  Defines current filtering value Setter for filterValue

  Parameters:
    `filterValue` - - new value

### setFirst

    public void setFirst(javax.el.ValueExpression __first)

  A zero-relative row number of the first row to display Setter for first

  Parameters:
    `first` - - new value

### setFooterClass

    public void setFooterClass(javax.el.ValueExpression __footerClass)

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass

  Parameters:
    `footerClass` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setOnRowClick

    public void setOnRowClick(javax.el.ValueExpression __onRowClick)

  HTML: a script expression; a pointer button is clicked on row Setter for onRowClick

  Parameters:
    `onRowClick` - - new value

### setOnRowDblClick

    public void setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)

  HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick

  Parameters:
    `onRowDblClick` - - new value

### setOnRowMouseDown

    public void setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)

  HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown

  Parameters:
    `onRowMouseDown` - - new value

### setOnRowMouseMove

    public void setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)

  HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove

  Parameters:
    `onRowMouseMove` - - new value

### setOnRowMouseOut

    public void setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)

  HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut

  Parameters:
    `onRowMouseOut` - - new value

### setOnRowMouseOver

    public void setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)

  HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver

  Parameters:
    `onRowMouseOver` - - new value

### setOnRowMouseUp

    public void setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)

  HTML: script expression; a pointer button is released on row Setter for onRowMouseUp

  Parameters:
    `onRowMouseUp` - - new value

### setRowClasses

    public void setRowClasses(javax.el.ValueExpression __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### setRowKeyConverter

    public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

  Converter for a row key object Setter for rowKeyConverter

  Parameters:
    `rowKeyConverter` - - new value

### setRowKeyVar

    public void setRowKeyVar(javax.el.ValueExpression __rowKeyVar)

  The attribute provides access to a row key in a Request scope Setter for rowKeyVar

  Parameters:
    `rowKeyVar` - - new value

### setRows

    public void setRows(javax.el.ValueExpression __rows)

  A number of rows to display, or zero for all remaining rows in the table Setter for rows

  Parameters:
    `rows` - - new value

### setSelfSorted

    public void setSelfSorted(javax.el.ValueExpression __selfSorted)

  Manages if the header of the column is clickable, icons rendered and sorting is fired after click on the header. You need to define this attribute inside &lt;rich:dataTable&gt; component. Default value is "true". Setter for selfSorted

  Parameters:
    `selfSorted` - - new value

### setSortExpression

    public void setSortExpression(javax.el.ValueExpression __sortExpression)

  DEPRECATED(use sortBy)Attribute defines a bean property which is used for sorting of a column Setter for sortExpression

  Parameters:
    `sortExpression` - - new value

### setSortMode

    public void setSortMode(javax.el.ValueExpression __sortMode)

  Defines mode of sorting. Possible values are 'single' for sorting of one column and 'multi' for some. Setter for sortMode

  Parameters:
    `sortMode` - - new value

### setSortOrder

    public void setSortOrder(javax.el.ValueExpression __sortOrder)

  SortOrder is an enumeration of the possible sort orderings. Default value is "Ordering.UNSORTED". Setter for sortOrder

  Parameters:
    `sortOrder` - - new value

### setSortPriority

    public void setSortPriority(javax.el.ValueExpression __sortPriority)

  Defines a set of column ids in the order the columns could be set Setter for sortPriority

  Parameters:
    `sortPriority` - - new value

### setStateVar

    public void setStateVar(javax.el.ValueExpression __stateVar)

  The attribute provides access to a component state on the client side Setter for stateVar

  Parameters:
    `stateVar` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value for this component Setter for value

  Parameters:
    `value` - - new value

### setVar

    public void setVar(java.lang.String __var)

  A request-scope attribute via which the data object for the current row will be used when iterating Setter for var

  Parameters:
    `var` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.